/* $Revision: 1.6 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridFile.C
 *
 * DESCRIPTION: All about knowing the file type.
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XGRIDFILE_H_
#define __XGRIDFILE_H_

/***************************************************************************
 * INCLUDES
 ***************************************************************************/

#include <string>
//#include "XcGrid.H"


namespace XcG {
  // Both input and "output" formats
  enum FileType { UNKNOWN_FILETYPE, BAD_FILE,
		  // 2D / 2.5D formats
		  ISUS, PDS, VICAR, 
		  JPG, GMT0,
		  PBM_BIN, PBM_ASCII,
		  PGM_BIN, PGM_ASCII, 
		  PPM_BIN, PPM_ASCII,
		  TIF, PNG, GIF,
		  // 3D Formats below here
		  // FIX: IV should be split into types
		  IV, POVRAY, VRML_ELEVATION_GRID,
		  NUM_FILE_TYPES // Marker for the end
  };

  FileType XcGridGetFileType (std::string filename); // From file
  FileType XcGridFileType (std::string typeName); // From descript string
  std::string XcGridFileTypeString (const FileType type);

  //void FileTypeLUTInit(); // Initialize the lookup tables
  //extern bool FileTypeLUTInitialized;
}



#endif // ifdef __XGRIDFILE_H_



