/* $Revision: 1.4 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridWriteIV.H
 *
 * DESCRIPTION: Use XcGrid to write an OpenInventor mesh
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XC_GRID_GMT_H_
#define __XC_GRID_GMT_H_

#include <string>
#include "XcGrid.H"

// if doGenerates is false, it will not precompute the triangles, UV
// texture coords, compressed indices, and normals.

bool XcGmtGridLoad (std::string filename,XcGrid &grd);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

#include "XcGridDrv.H";
using namespace XcG;

class XcGridDrvGmt : public XcG::XcGridDrv {
public:
  std::string getName();
  bool canReadType(FileType t) { return (GMT0==t?true:false); }
  bool canWriteType(FileType t) { return (GMT0==t?true:false); }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, XcGridOpts &opts);
};



#endif // ifdef __XC_GRID_GMT_H_
