/* $Revision: 1.3 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridWriteIV.H
 *
 * DESCRIPTION: Use XcGrid to write an OpenInventor mesh
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XCGRIDWRITEIV_H_
#define __XCGRIDWRITEIV_H_

#include <string>

class XcGrid;
bool XcGridWriteIV (const std::string filename, XcGrid &grd,
		    bool texture, bool normals, bool colortable, bool normalSpikes);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

#include "XcGridDrv.H";
using namespace XcG;

class XcGridDrvIv : public XcG::XcGridDrv {
public:
  std::string getName();
  bool canReadType(FileType t) { return false; }//(IV==t?true:false); }
  bool canWriteType(FileType t) { return (IV==t?true:false); }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, XcGridOpts &opts);
};


#endif // ifdef __XCGRIDWRITEIV_H_
