/* $Revision: 1.4 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcPdsGrid.H
 *
 * DESCRIPTION: Use XcGrid to write an OpenInventor mesh
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XC_GRID_PDS_H_
#define __XC_GRID_PDS_H_

#include <string>
#include "XcGrid.H"

// if doGenerates is false, it will not precompute the triangles, UV
// texture coords, compressed indices, and normals.

bool XcGridPdsLoad (std::string filename, XcGrid &grd);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

#include "XcGridDrv.H";
using namespace XcG;

class XcGridDrvPds : public XcG::XcGridDrv {
public:
  //int getID() {return (1);}
  std::string getName();
  bool canReadType(FileType t) { return (PDS==t?true:false); }
  bool canWriteType(FileType t) { return (false); } //return (PDS==t?true:false); }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, XcGridOpts &opts);
};


#endif // ifdef __XC_GRID_PDS_H_
