/* $Revision: 1.4 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridPgm.H
 *
 * DESCRIPTION: Data structures to help with DEM creation
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XC_GRID_PGM_H_
#define __XC_GRID_PGM_H_

//class XcGrid;

bool XcGridWritePgmBinary (const std::string filename, XcGrid &grd, const size_t max);
bool XcGridWritePgmAscii  (const std::string filename, XcGrid &grd, const size_t max);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

using namespace XcG;


class XcGridDrvPgm : public XcG::XcGridDrv {
public:
  //int getID() {return (1);}
  std::string getName();
  bool canReadType(FileType t) { return false; }//return (PGM==t?true:false); }
  bool canWriteType(FileType t) {
    if (t==PGM_BIN) return true;
    if (t==PGM_ASCII) return true;
    return false;
  }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, XcGridOpts &opts);
};

#endif // ifdef __XC_GRID_PGM_H_
