/* $Revision: 1.3 $ */

/****************************************************************************
 *
 * PROJECT: X-Core / My Thesis
 *
 * MODULE:  Terrain Generators
 *
 * FILE:    XcGridWritePOVRAY.H
 *
 * DESCRIPTION: Use XcGrid to write an OpenInventor mesh
 *
 * EXPORTS:  
 *
 * NOTES:        
 *
 * (c) Copyright 2004 Kurt Schwehr. All rights reserved.
 ***************************************************************************/

// Include Guard
#ifndef __XCGRIDWRITEPOVRAY_H_
#define __XCGRIDWRITEPOVRAY_H_

#include <string>

class XcGrid;
bool
XcGridWritePovRay (const std::string filename, XcGrid &grd,
		   bool texture, bool normals, bool colortable,
		   bool writeCamera=false);

//////////////////////////////////////////////////////////////////////
// Driver Interface
//////////////////////////////////////////////////////////////////////

#include "XcGridDrv.H";
using namespace XcG;

class XcGridDrvPovRay : public XcG::XcGridDrv {
public:
  //int getID() {return (1);}
  std::string getName();
  bool canReadType(FileType t) { return false; } //(POVRAY==t?true:false); }
  bool canWriteType(FileType t) { return (POVRAY==t?true:false); }
  std::vector<FileType> getReadTypes();
  std::vector<FileType> getWriteTypes();
  bool ReadGrid(std::string filename, FileType t, XcGrid &grd);
  bool WriteGrid(std::string filename, FileType t, XcGrid &grd, XcGridOpts &opts);
};

#endif // ifdef __XCGRIDWRITEPOVRAY_H_
